Bug 1303263 - [abrt] evince: gtk_widget_destroy(): evince killed by SIGSEGV
[abrt] evince: gtk_widget_destroy(): evince killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felipe Borges
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa3cc17eb6780954c91c6474720...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 20:32 EST by Adam Williamson
Modified: 2017-08-08 08:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.75 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: core_backtrace (5.41 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: dso_list (11.34 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: environ (3.03 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: maps (55.88 KB, text/plain)
2016-01-29 20:32 EST, Adam Williamson
no flags Details
File: mountinfo (5.06 KB, text/plain)
2016-01-29 20:33 EST, Adam Williamson
no flags Details
File: open_fds (1.53 KB, text/plain)
2016-01-29 20:33 EST, Adam Williamson
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-01-29 20:33 EST, Adam Williamson
no flags Details
File: var_log_messages (306 bytes, text/plain)
2016-01-29 20:33 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2016-01-29 20:32:47 EST
Description of problem:
I tried to do a drag select on a PDF which turned out to be an image (not text); I saw the usual 'you're dragging this image somewhere' indicator, then evince crashed.

Version-Release number of selected component:
evince-3.18.2-3.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince /tmp/mozilla_adamw0/DOC_0000015458.pdf
crash_function: gtk_widget_destroy
executable:     /usr/bin/evince
global_pid:     11348
kernel:         4.5.0-0.rc0.git1.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_destroy at gtkwidget.c:4707
 #1 gtk_drag_source_info_free at gtkdnd.c:3202
 #2 g_datalist_clear at gdataset.c:273
 #3 g_object_finalize at gobject.c:1040
 #4 gdk_x11_drag_context_finalize at gdkdnd-x11.c:295
 #7 g_signal_emit_by_name at gsignal.c:3481
 #8 gdk_dnd_handle_drop_finished at gdkdnd-x11.c:3088
 #9 gdk_x11_drag_context_handle_event at gdkdnd-x11.c:3118
 #10 gdk_drag_context_handle_source_event at gdkdnd.c:732
 #11 _gdk_event_emit at gdkevents.c:69
Comment 1 Adam Williamson 2016-01-29 20:32:51 EST
Created attachment 1119550 [details]
File: backtrace
Comment 2 Adam Williamson 2016-01-29 20:32:52 EST
Created attachment 1119551 [details]
File: cgroup
Comment 3 Adam Williamson 2016-01-29 20:32:53 EST
Created attachment 1119552 [details]
File: core_backtrace
Comment 4 Adam Williamson 2016-01-29 20:32:54 EST
Created attachment 1119553 [details]
File: dso_list
Comment 5 Adam Williamson 2016-01-29 20:32:56 EST
Created attachment 1119554 [details]
File: environ
Comment 6 Adam Williamson 2016-01-29 20:32:57 EST
Created attachment 1119555 [details]
File: exploitable
Comment 7 Adam Williamson 2016-01-29 20:32:58 EST
Created attachment 1119556 [details]
File: limits
Comment 8 Adam Williamson 2016-01-29 20:32:59 EST
Created attachment 1119557 [details]
File: maps
Comment 9 Adam Williamson 2016-01-29 20:33:00 EST
Created attachment 1119558 [details]
File: mountinfo
Comment 10 Adam Williamson 2016-01-29 20:33:01 EST
Created attachment 1119559 [details]
File: open_fds
Comment 11 Adam Williamson 2016-01-29 20:33:02 EST
Created attachment 1119560 [details]
File: proc_pid_status
Comment 12 Adam Williamson 2016-01-29 20:33:03 EST
Created attachment 1119561 [details]
File: var_log_messages
Comment 13 Adam Williamson 2016-01-29 20:58:23 EST
I also had a crash when trying to drag-and-drop a gnome-terminal tab (to make it into a new window). That may have been the same thing.
Comment 14 Jan Kurik 2016-02-24 09:22:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 15:52:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 08:43:16 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.